For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • POSTRemoves a tag from all projects.
      • GETReturns all tags currently in use by projects.
      • POSTUpdates a tag globally for all projects.
      • POSTAdds a batch of tags to the project with the specified id.
      • POSTRemoves tags from the project with the specified id.
      • GETReturns the tags of the project with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Tags

Adds a batch of tags to the project with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/addtags
POST
/api/v1/projects/:projectId/addtags
$curl -X POST https://api.awork.com/api/v1/projects/projectId/addtags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Design"
> }
>]'
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Design",
9 "color": "purple"
10 }
11]
<Check title="Required Permissions" icon="key">To add tags to a project the user must have `project-master-data:write` permissions on the specified project.</Check>
Was this page helpful?
Previous

Removes tags from the project with the specified id.

Next
Built with
Required Permissions
To add tags to a project the user must have project-master-data:write permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project to add tags for.

Request

The model containing the tags to add.
namestringRequired0-255 characters
The name of the tag to delete.
colorstring or nullOptional
The color of the tag. Use one of 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the tag.
colorstring or null
The color of the tag.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error